let content = ""

document.addEventListener('mouseup', (evt) => {
    if(document.getSelection().toString().length > 0){
        openReportMenu(evt.pageX, evt.pageY, document.getSelection().toString())
    } else{
        removeMenu()
    }
})

function reportToProject(){
    window.open("{{CI_PROJECT_URL|default("http://localhost")}}/-/issues/new?issue[title]="+encodeURIComponent("Feedback on document")
    +"&issue[description]=URI%3D"+encodeURIComponent(window.location.href)+"%0D%0A%0D%0A"+encodeURIComponent("`"+content+"`")+"%0D%0A")
}

function removeMenu(){
    const menu = document.querySelector(".feedback_context_menu");
    menu.style.display="none"
}

function openReportMenu(x, y, selection){
    content = selection
    const menu = document.querySelector(".feedback_context_menu");
        menu.style.display="inline-block"
        menu.style.top=y+10+"px"
        menu.style.left=x+10+"px"
}
